Run PowerShell simple smoke command
curl --request POST \
--url https://api.cyberdesk.io/v1/computer/{machine_id}/shell/powershell/simple \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/computer/{machine_id}/shell/powershell/simple"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/computer/{machine_id}/shell/powershell/simple', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}computer
Run PowerShell simple smoke command
Run Cyberdriver’s built-in simple PowerShell smoke command.
POST
/
v1
/
computer
/
{machine_id}
/
shell
/
powershell
/
simple
Run PowerShell simple smoke command
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Response
Successful Response
The response is of type Response Powershell Simple V1 Computer Machine Id Shell Powershell Simple Post · object.
Was this page helpful?